Package org.eclipse.ecf.core.sharedobject.events

# Class SharedObjectCallEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.SharedObjectCallEvent

All Implemented Interfaces:
  `ISharedObjectCallEvent`, `ISharedObjectEvent`, `Event`

public class SharedObjectCallEvent extends Object implements ISharedObjectCallEvent

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectCallEvent()`
`SharedObjectCallEvent(ID sender, Event evt, org.eclipse.equinox.concurrent.future.IFuture res)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.equinox.concurrent.future.IFuture`
`getAsyncResult()`
`Event`
`getEvent()`
Get the Event from the sender shared object
`ID`
`getSenderSharedObjectID()`
Get ID of sender shared object responsible for this event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SharedObjectCallEvent

public SharedObjectCallEvent()

Since:
  2.6

### SharedObjectCallEvent

public SharedObjectCallEvent(ID sender, Event evt, org.eclipse.equinox.concurrent.future.IFuture res)

Since:
  2.0

## Method Details

### getAsyncResult

public org.eclipse.equinox.concurrent.future.IFuture getAsyncResult()

Specified by:
  `getAsyncResult` in interface `ISharedObjectCallEvent`
Since:
  2.0

### getSenderSharedObjectID

public ID getSenderSharedObjectID()
Description copied from interface: `ISharedObjectEvent`
Get ID of sender shared object responsible for this event

Specified by:
  `getSenderSharedObjectID` in interface `ISharedObjectEvent`
Returns:
  ID of sender shared object. Will not be null.

### getEvent

public Event getEvent()
Description copied from interface: `ISharedObjectEvent`
Get the Event from the sender shared object

Specified by:
  `getEvent` in interface `ISharedObjectEvent`
Returns:
  Event the event in question